ApiRestartClusterArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRestartClusterArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRestartClusterArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRestartClusterArgs
      extends Object

  Arguments used for Cluster Restart command. Since V11: If both restartOnlyStaleServices and restartServiceNames are specified, a service must be specified in restartServiceNames and also be stale, in order to be restarted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRestartClusterArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRestartClusterArgs` | `addRestartServiceNamesItem(String restartServiceNamesItem)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getRedeployClientConfiguration()` Re-deploy client configuration for all services in the cluster.
    `Boolean` | `getRestartOnlyStaleServices()` Only restart services that have stale configuration and their dependent services.
    `List<String>` | `getRestartServiceNames()` Only restart services that are specified and their dependent services.
    `int` | `hashCode()`
    `ApiRestartClusterArgs` | `redeployClientConfiguration(Boolean redeployClientConfiguration)`
    `ApiRestartClusterArgs` | `restartOnlyStaleServices(Boolean restartOnlyStaleServices)`
    `ApiRestartClusterArgs` | `restartServiceNames(List<String> restartServiceNames)`
    `void` | `setRedeployClientConfiguration(Boolean redeployClientConfiguration)`
    `void` | `setRestartOnlyStaleServices(Boolean restartOnlyStaleServices)`
    `void` | `setRestartServiceNames(List<String> restartServiceNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRestartClusterArgs

          public ApiRestartClusterArgs()

  - ### Method Detail

    - #### restartOnlyStaleServices

          public ApiRestartClusterArgs restartOnlyStaleServices(Boolean restartOnlyStaleServices)

    - #### getRestartOnlyStaleServices

          public Boolean getRestartOnlyStaleServices()

      Only restart services that have stale configuration and their dependent services.
      Returns:
        restartOnlyStaleServices

    - #### setRestartOnlyStaleServices

          public void setRestartOnlyStaleServices(Boolean restartOnlyStaleServices)

    - #### redeployClientConfiguration

          public ApiRestartClusterArgs redeployClientConfiguration(Boolean redeployClientConfiguration)

    - #### getRedeployClientConfiguration

          public Boolean getRedeployClientConfiguration()

      Re-deploy client configuration for all services in the cluster.
      Returns:
        redeployClientConfiguration

    - #### setRedeployClientConfiguration

          public void setRedeployClientConfiguration(Boolean redeployClientConfiguration)

    - #### restartServiceNames

          public ApiRestartClusterArgs restartServiceNames(List<String> restartServiceNames)

    - #### addRestartServiceNamesItem

          public ApiRestartClusterArgs addRestartServiceNamesItem(String restartServiceNamesItem)

    - #### getRestartServiceNames

          public List<String> getRestartServiceNames()

      Only restart services that are specified and their dependent services. Available since V11.
      Returns:
        restartServiceNames

    - #### setRestartServiceNames

          public void setRestartServiceNames(List<String> restartServiceNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.